#include "MenuTextSk6_Player2Keyboard.h"

InputSetting_Keyboard* MenuTextSk6_Player2Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player2Keyboard ? gameFunc->GetInputSetting_Player2Keyboard() : nullptr;
}

SDL_Scancode* MenuTextSk6_Player2Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_skill_6;
}

std::shared_ptr<Entity> CreateMenuTextSk6_Player2Keyboard()
{
	return std::make_shared<MenuTextSk6_Player2Keyboard>();
}


